#include "stdafx.h"
#include "StartSimulationAction.h"

void StartSimulationAction::setSimulationParametersDTO(SimulationParametersDTO *_simulationParameterDTO)
{
	simulationParameterDTO = _simulationParameterDTO;
}

SimulationParametersDTO* StartSimulationAction::getSimulationParametersDTO()
{
	return simulationParameterDTO;
}

void StartSimulationAction::execute()
{
	simulationController->setSimulationParametersDTO(simulationParameterDTO);
	simulationController->startSimulation(simulationParameterDTO->isContinousSimulation(), simulationParameterDTO->getNumberOfSimulations());
}

void StartSimulationAction::setSimulationController(SimulationController *_simulationController)
{
	simulationController = _simulationController;
}
